---


#################################################
# for ROOT
- name: uncomment aliase in $HOME/.bashrc
  replace:
    path: $HOME/.bashrc
    regexp: '# alias '
    replace: 'alias '
    backup:  'no'

- name: uncomment export LS_OPTIONS
  replace:
    path: $HOME/.bashrc
    regexp: '^# export LS_OPTIONS='
    replace: 'export LS_OPTIONS='
    backup:  'no'

- name: uncomment eval dircolors
  replace:
    path: $HOME/.bashrc
    regexp: '^# eval '
    replace: 'eval '
    backup:  'no'

- name: Insert block in /root/.bashrc
  blockinfile:
    block: "{{ lookup('file', '../files/bashrc_block_to_add_for_root') }}"
    dest: '/root/.bashrc'
    backup: no


#################################################
# for SKEL
- name: uncomment aliase in /etc/skel/.bashrc
  replace:
    path: '/etc/skel/.bashrc'
    regexp: '#alias '
    replace: 'alias '

- name: uncomment 'force_color_prompt=yes' in /etc/skel/.bashrc
  replace:
    path: '/etc/skel/.bashrc'
    regexp: '#force_color_prompt=yes'
    replace: 'force_color_prompt=yes'

- name: change "grep --color=" from 'auto' to 'always' in /etc/skel/.bashrc
  replace:
    path: '/etc/skel/.bashrc'
    regexp: 'grep --color=auto'
    replace: 'grep --color=always'

- name: Insert block in /etc/skel/.bashrc
  blockinfile:
    block: "{{ lookup('file', '../files/bashrc_block_to_add_for_skel') }}"
    dest: '/etc/skel/.bashrc'
    backup: no

#################################################
# for USER
- name: copy /etc/skel/.bashrc in $HOME/.bashrc
  copy:
     src:  '/etc/skel/.bashrc'
     dest:  '{{ userhome }}/.bashrc'
     owner:  'steph'
     group:  'steph'
     mode:  '0644'
     force: 'yes'
     backup:  'no'
